// const proxy = require("http-proxy-middleware");
 
// module.exports = function(app) {
//   app.use(
//     proxy("/api/**", {
//       target: "http://120.79.76.162:10081/",
//       changeOrigin: true
//     })
//   );
//   app.use(
//     proxy("/fans/**", {
//       target: "https://easy-mock.com/mock/5c0f31837214cf627b8d43f0/",
//       changeOrigin: true
//     })
//   );
// };





const { createProxyMiddleware } = require('http-proxy-middleware');
module.exports = function(app) {
  app.use(
    '/api',
    createProxyMiddleware({
      target: 'http://124.93.101.8:9988/',
      changeOrigin: true,
    })
  );
};